cURL
curl --request POST \ --url https://api.example.com/notifications \ --header 'Content-Type: application/json' \ --data ' { "type": "mention", "actorType": "user", "subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "subjectType": "user", "locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "locationType": "comment", "recipientIds": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ], "originUrl": "<string>", "anchorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } '
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "subscriberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "type": "mention", "actorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "actorType": "user", "subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "subjectType": "user", "locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "locationType": "comment", "metadata": { "mention": { "mentionerName": "<string>", "snippet": "<string>", "anchorId": "<string>" }, "add": {}, "edit": {} }, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "actor": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "image": "<string>" }, "recipients": [ { "recipientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "readAt": "2023-11-07T05:31:56Z", "emailSentAt": "2023-11-07T05:31:56Z" } ] } }
Create a notification.
mention
user
ai
comment
value
document
entity
1
Created
Show child attributes